Bug 2000353 - mate-desktop-item-edit killed by SIGABRT
Summary: mate-desktop-item-edit killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-panel
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-01 23:02 UTC by thedatum+bz
Modified: 2021-09-24 20:14 UTC (History)
2 users (show)

Fixed In Version: mate-panel-1.26.0-2.fc34 mate-panel-1.26.0-2.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-10 16:04:33 UTC
Type: Bug


Attachments (Terms of Use)

Description thedatum+bz 2021-09-01 23:02:48 UTC
Description of problem:
Editing MATE panel menu items is not possible and causes a core dump.

Version-Release number of selected component (if applicable):
mate-panel-1.26.0-1.fc34.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Right-click MATE panel applications menu
2. Click Edit Menus
3. Highlight menu item
4. Click Properties button or double click menu item

Actual results:
No Properties dialog appears (eg. to edit the command for that menu item) and the system log records a core dump.


Expected results:
Have an editable Properties dialog appear.

Additional info:

systemd-coredump[77431]: [🡕] Process 77426 (mate-desktop-it) of user 1000 dumped core.
                                              
                                              Stack trace of thread 77426:
                                              #0  0x00007f67300c42a2 raise (libc.so.6 + 0x3d2a2)
                                              #1  0x00007f67300ad8a4 abort (libc.so.6 + 0x268a4)
                                              #2  0x00007f67303ddccc g_assertion_message.cold (libglib-2.0.so.0 + 0x1eccc)
                                              #3  0x00007f673043930f g_assertion_message_expr (libglib-2.0.so.0 + 0x7a30f)
                                              #4  0x000055b7df9716a9 panel_ditem_editor_sync_display (mate-desktop-item-edit + 0x136a9)
                                              #5  0x000055b7df971cfa panel_ditem_editor_key_file_loaded (mate-desktop-item-edit + 0x13cfa)
                                              #6  0x000055b7df9728cc panel_ditem_editor_constructor (mate-desktop-item-edit + 0x148cc)
                                              #7  0x00007f673051bae8 g_object_new_internal (libgobject-2.0.so.0 + 0x22ae8)
                                              #8  0x00007f673051d108 g_object_new_valist (libgobject-2.0.so.0 + 0x24108)
                                              #9  0x00007f673051d63d g_object_new (libgobject-2.0.so.0 + 0x2463d)
                                              #10 0x000055b7df96bade panel_ditem_editor_new_full (mate-desktop-item-edit + 0xdade)
                                              #11 0x000055b7df96a082 main (mate-desktop-item-edit + 0xc082)
                                              #12 0x00007f67300aeb75 __libc_start_main (libc.so.6 + 0x27b75)
                                              #13 0x000055b7df96a1ce _start (mate-desktop-item-edit + 0xc1ce)
                                              
                                              Stack trace of thread 77427:
                                              #0  0x00007f673017c5bf __poll (libc.so.6 + 0xf55bf)
                                              #1  0x00007f673046848c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa948c)
                                              #2  0x00007f6730411c03 g_main_context_iteration (libglib-2.0.so.0 + 0x52c03)
                                              #3  0x00007f6730411c51 glib_worker_main (libglib-2.0.so.0 + 0x52c51)
                                              #4  0x00007f6730442c42 g_thread_proxy (libglib-2.0.so.0 + 0x83c42)
                                              #5  0x00007f673025f299 start_thread (libpthread.so.0 + 0x9299)
                                              #6  0x00007f6730187353 __clone (libc.so.6 + 0x100353)
                                              
                                              Stack trace of thread 77428:
                                              #0  0x00007f673017c5bf __poll (libc.so.6 + 0xf55bf)
                                              #1  0x00007f673046848c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa948c)
                                              #2  0x00007f6730413a93 g_main_loop_run (libglib-2.0.so.0 + 0x54a93)
                                              #3  0x00007f6730666d9a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x110d9a)
                                              #4  0x00007f6730442c42 g_thread_proxy (libglib-2.0.so.0 + 0x83c42)
                                              #5  0x00007f673025f299 start_thread (libpthread.so.0 + 0x9299)
                                              #6  0x00007f6730187353 __clone (libc.so.6 + 0x100353)


abrt-notification[77519]: [🡕] Process 2648104 (mate-desktop-item-edit) crashed in g_assertion_message_expr.cold()

Comment 1 Fedora Update System 2021-09-02 14:38:52 UTC
FEDORA-2021-97c832f69c has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-97c832f69c

Comment 2 Fedora Update System 2021-09-02 14:38:55 UTC
FEDORA-2021-c448dc55eb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c448dc55eb

Comment 3 Fedora Update System 2021-09-02 15:56:31 UTC
FEDORA-2021-97c832f69c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-97c832f69c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-97c832f69c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-09-03 00:05:34 UTC
FEDORA-2021-c448dc55eb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c448dc55eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c448dc55eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-10 16:04:33 UTC
FEDORA-2021-c448dc55eb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-09-24 20:14:25 UTC
FEDORA-2021-97c832f69c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.